BatchChange
curl --request POST \
--url https://developer.synq.io/api/changes/v1/by-id \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"changeIds": [
"<string>"
]
}
'import requests
url = "https://developer.synq.io/api/changes/v1/by-id"
payload = { "changeIds": ["<string>"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({changeIds: ['<string>']})
};
fetch('https://developer.synq.io/api/changes/v1/by-id', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"changes": {}
}synq.entities.changes.v1.ChangesService
BatchChange
BatchChange retrieves multiple entity changes by their IDs in a single request. This is an optimized endpoint for fetching specific changes when you already know their IDs, rather than listing changes for an entity.
POST
/
api
/
changes
/
v1
/
by-id
BatchChange
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
BatchChangeRequest contains the parameters needed to retrieve multiple changes by their IDs.
List of change IDs to retrieve. Each ID uniquely identifies a specific change in the system.
Response
200 - application/json
Success
BatchChangeResponse contains the requested changes mapped by their IDs.
Map of change ID to EntityChange. Only includes changes that were found and accessible. Missing changes are omitted from the response.
Show child attributes
Show child attributes